## python-wilderness 0.1.6

=== Makefile ===
# Makefile for easier installation and cleanup.
#
# Uses self-documenting macros from here:
# http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html

PACKAGE=wilderness
DOC_DIR=./docs/
VENV_DIR=/tmp/wilderness_venv/

.PHONY: help dist venv

.DEFAULT_GOAL := help

help:
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) |\
		 awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-15s\033[0m\
		 %s\n", $$1, $$2}'

################
# Installation #
################

.PHONY: install

install: ## Install for the current user using the default python command
	python setup.py build_ext --inplace && \
		python setup.py install --user

################
# Distribution #
################

.PHONY: release dist

release: ## Make a release
	python make_release.py

dist: ## Make Python source distribution
	python setup.py sdist && python setup.py bdist_wheel

###########
# Testing #
###########

.PHONY: test mypy

test: venv ## Run unit tests in virtual environment
	source $(VENV_DIR)/bin/activate && \
		green -vv -s 1 -a ./tests && \
		mypy --check-untyped-defs $(PACKAGE)

test_direct: ## Run unit tests directly (without virtualenv)
	pip install .[tests] && \
		python -m unittest discover && \
		mypy --check-untyped-defs $(PACKAGE)

mypy: venv ## Run mypy
	source $(VENV_DIR)/bin/activate && mypy --check-untyped-defs $(PACKAGE)

#################
# Documentation #
#################

.PHONY: docs doc clean-docs

docs: doc

doc: venv ## Build documentation
	source $(VENV_DIR)/bin/activate && \
		m2r2 README.md && mv README.rst $(DOC_DIR)
	source $(VENV_DIR)/bin/activate && \
		m2r2 CHANGELOG.md && mv CHANGELOG.rst $(DOC_DIR)
	cd $(DOC_DIR) && \
		rm -f source/*.rst && \
		source $(VENV_DIR)/bin/activate && \
		sphinx-apidoc -H 'Wilderness API Documentation' -o source ../$(PACKAGE) && \
		touch source/AUTOGENERATED
	source $(VENV_DIR)/bin/activate && $(MAKE) -C $(DOC_DIR) html

clean-docs:
	$(MAKE) -C $(DOC_DIR) clean

#######################
# Virtual environment #
#######################

.PHONY: venv clean_venv

venv: $(VENV_DIR)/bin/activate

$(VENV_DIR)/bin/activate:
	test -d $(VENV_DIR) || python -m venv $(VENV_DIR)
	source $(VENV_DIR)/bin/activate && pip install -e .[dev]
	touch $(VENV_DIR)/bin/activate

clean_venv:
	rm -rf $(VENV_DIR)

############
# Clean up #
############

.PHONY: clean

clean: clean_venv clean-docs ## Clean build dist and egg directories left after install
	rm -rf ./dist
	rm -rf ./build
	rm -rf ./$(PACKAGE).egg-info
	rm -rf ./cover
	rm -f MANIFEST
	rm -f ./$(PACKAGE)/*.so
	rm -f ./*_valgrind.log*
	rm -rf ./.mypy_cache/
	find . -type f -iname '*.pyc' -delete
	find . -type d -name '__pycache__' -empty -delete

=== examples/fakedf/Makefile ===
# Makefile for easier installation and cleanup.
#
# Uses self-documenting macros from here:
# http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html

PACKAGE=fakedf

.PHONY: help

.DEFAULT_GOAL := help

help:
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) |\
		 awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-15s\033[0m\
		 %s\n", $$1, $$2}'

################
# Installation #
################

.PHONY: install

install: dist ## Install for the current user using the default python command
	pip install --user ./dist/*.whl

################
# Distribution #
################

.PHONY: dist

dist: man ## Make Python source distribution
	python setup.py build_ext --inplace && \
		python setup.py sdist bdist_wheel

###########
# Testing #
###########

.PHONY: test mypy

test: venv ## Run unit tests
	source $(VENV_DIR)/bin/activate && green -vv -s 1 -a ./tests

mypy: venv ## Run mypy
	source $(VENV_DIR)/bin/activate && \
	       	mypy --check-untyped-defs ./stubs $(PACKAGE)

#################
# Documentation #
#################

.PHONY: man clean_man

man: ## Build documentation with Sphinx
	python setup.py build_manpages

clean_man: ## Remove man pages
	rm -f ./man/*

############
# Clean up #
############

.PHONY: clean

clean: clean_man ## Clean build dist and egg directories left after install
	rm -rf ./dist
	rm -rf ./build
	rm -rf ./cover
	rm -rf ./$(PACKAGE).egg-info
	rm -f MANIFEST
	rm -f ./$(PACKAGE)/*.so
	rm -f ./*_valgrind.log*
	find . -type f -iname '*.pyc' -delete
	find . -type d -name '__pycache__' -empty -delete

=== debian/changelog ===
python-wilderness (0.1.6-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: remove 0001 and 0002, as these issues have been fixed upstream.
  * d/tests: exclude flaky test from autopkgtest.
  * d/control: Standards-Version update to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 15 May 2022 14:30:05 -0400

python-wilderness (0.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1010107)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 24 Apr 2022 14:55:43 -0400

=== debian/control ===
Source: python-wilderness
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/wilderness.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/wilderness
Homepage: https://github.com/spl0k/supysonic

Package: python3-wilderness
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Description: Light wrapper around argparse for creating command line applications
 Wilderness is a light wrapper around argparse for creating command line
 applications with multiple subcommands, in the style of Git. Wilderness also
 makes it easy to generate man pages for your application.
 .
 Wilderness is heavily inspired by Cleo and argparse-manpage, but aims to stick
 as closely as possible to argparse to avoid users having to learn a new API.

## python-wilderness 0.1.10

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,10 @@
 # Uses self-documenting macros from here:
 # http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
 
-PACKAGE=wilderness
-DOC_DIR=./docs/
-VENV_DIR=/tmp/wilderness_venv/
+PACKAGE  = wilderness
+DOC_DIR  = ./docs/
+VENV_DIR = /tmp/wilderness_venv/
+PYTHON   = python
 
 .PHONY: help dist venv
 
@@ -23,7 +24,7 @@
 .PHONY: install
 
 install: ## Install for the current user using the default python command
-	python setup.py build_ext --inplace && \
+	$(PYTHON) setup.py build_ext --inplace && \
 		python setup.py install --user
 
 ################
@@ -33,10 +34,10 @@
 .PHONY: release dist
 
 release: ## Make a release
-	python make_release.py
+	$(PYTHON) make_release.py
 
 dist: ## Make Python source distribution
-	python setup.py sdist && python setup.py bdist_wheel
+	$(PYTHON) setup.py sdist && $(PYTHON) setup.py bdist_wheel
 
 ###########
 # Testing #
@@ -44,18 +45,27 @@
 
 .PHONY: test mypy
 
-test: venv ## Run unit tests in virtual environment
+test: green pytest mypy
+
+green: venv ## Run unit tests in virtual environment
 	source $(VENV_DIR)/bin/activate && \
-		green -vv -s 1 -a ./tests && \
+		green -vv -s 1 -a ./tests
+
+test_direct: ## Run unit tests directly (without virtualenv)
+	$(PYTHON) -m pip install .[tests] && \
+		$(PYTHON) -m unittest discover && \
 		mypy --check-untyped-defs $(PACKAGE)
 
-test_direct: ## Run unit tests directly (without virtualenv)
-	pip install .[tests] && \
-		python -m unittest discover && \
-		mypy --check-untyped-defs $(PACKAGE)
+pytest: venv ## Tun unit tests with PyTest
+	source $(VENV_DIR)/bin/activate && \
+		pytest -ra -m 'not network'
 
 mypy: venv ## Run mypy
 	source $(VENV_DIR)/bin/activate && mypy --check-untyped-defs $(PACKAGE)
+
+cover: venv ## Create test coverage report
+	source $(VENV_DIR)/bin/activate && \
+		green -a -r -s 1 -vv ./tests
 
 #################
 # Documentation #
@@ -89,8 +99,8 @@
 venv: $(VENV_DIR)/bin/activate
 
 $(VENV_DIR)/bin/activate:
-	test -d $(VENV_DIR) || python -m venv $(VENV_DIR)
-	source $(VENV_DIR)/bin/activate && pip install -e .[dev]
+	test -d $(VENV_DIR) || $(PYTHON) -m venv $(VENV_DIR)
+	source $(VENV_DIR)/bin/activate && python -m pip install -e .[dev]
 	touch $(VENV_DIR)/bin/activate
 
 clean_venv:

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

=== examples/fakegit/Makefile ===
# Makefile for easier installation and cleanup.
#
# Uses self-documenting macros from here:
# http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html

PACKAGE=fakegit

.PHONY: help

.DEFAULT_GOAL := help

help:
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) |\
		 awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-15s\033[0m\
		 %s\n", $$1, $$2}'

################
# Installation #
################

.PHONY: install

install: dist ## Install for the current user using the default python command
	pip install --user ./dist/*.whl

################
# Distribution #
################

.PHONY: dist

dist: man ## Make Python source distribution
	python setup.py build_ext --inplace && \
		python setup.py sdist bdist_wheel

###########
# Testing #
###########

.PHONY: test mypy

test: venv ## Run unit tests
	source $(VENV_DIR)/bin/activate && green -vv -s 1 -a ./tests

mypy: venv ## Run mypy
	source $(VENV_DIR)/bin/activate && \
	       	mypy --check-untyped-defs ./stubs $(PACKAGE)

#################
# Documentation #
#################

.PHONY: man

man: ## Build documentation with Sphinx
	python setup.py build_manpages

############
# Clean up #
############

.PHONY: clean

clean: ## Clean build dist and egg directories left after install
	rm -rf ./dist
	rm -rf ./build
	rm -rf ./cover
	rm -rf ./$(PACKAGE).egg-info
	rm -f MANIFEST
	rm -f ./$(PACKAGE)/*.so
	rm -f ./*_valgrind.log*
	find . -type f -iname '*.pyc' -delete
	find . -type d -name '__pycache__' -empty -delete

=== debian/changelog ===
python-wilderness (0.1.10-3) unstable; urgency=medium

  * d/control: fix wrong homepage.
  * d/patch: number python3.14 patch (now 0003) and forward it upstream.
  * d/watch: upgrade to v5.
  * d/source.lintian-overrides: add file to override false-positive.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 22 Feb 2026 12:52:06 -0500

python-wilderness (0.1.10-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to hybridize for Python 3.14 (Closes: #1127531)
  * Switch to pybuild-plugin-pyproject
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop "Rules-Requires-Root: no", it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Feb 2026 21:43:43 +0100

python-wilderness (0.1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 22:41:17 +0100

=== debian/control ===
Source: python-wilderness
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Louis-Philippe Véronneau <pollo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/python-team/packages/python-wilderness.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wilderness
Homepage: https://github.com/GjjvdBurg/wilderness

Package: python3-wilderness
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Light wrapper around argparse for creating command line applications
 Wilderness is a light wrapper around argparse for creating command line
 applications with multiple subcommands, in the style of Git. Wilderness also
 makes it easy to generate man pages for your application.
 .
 Wilderness is heavily inspired by Cleo and argparse-manpage, but aims to stick
 as closely as possible to argparse to avoid users having to learn a new API.

=== debian/watch ===
Version: 5

Template: GitHub
Dist: https://github.com/GjjvdBurg/wilderness
